Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::TextViewSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::TextView. More...

`#include <xfc/gtk/textviewsignals.hh>`

Inheritance diagram for Xfc::Gtk::TextViewSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_set_scroll_adjustments (Adjustment *hadjustment, Adjustment *vadjustment)
    Called when a text view is added to a scrolling aware parent.
- virtual void on_populate_popup (Menu &menu)
    Called when the text view displays its context-sensitive menu.
- virtual void on_set_anchor ()
    Called when the "anchor" is moved (what Emacs calls the mark) to the cursor position.
- virtual void on_insert_at_cursor (const String &str)
    Called when text is inserted into the buffer at the current cursor position.

## Protected Member Functions

Constructors

- TextViewSignals (TextView *text_view)
    Constructs a new TextViewSignals object.
- virtual ~TextViewSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::TextView.

## Constructor & Destructor Documentation

Xfc::Gtk::TextViewSignals::TextViewSignals | ( | TextView * | text_view | ) | `[protected]`

Constructs a new TextViewSignals object.

Parameters:

  | text_view | A TextView object inheriting the TextViewSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::TextViewSignals::on_insert_at_cursor | ( | const String & | str | ) | `[virtual]`

Called when text is inserted into the buffer at the current cursor position.

Parameters:

  | str | The new text to insert.

virtual void Xfc::Gtk::TextViewSignals::on_populate_popup | ( | Menu & | menu | ) | `[virtual]`

Called when the text view displays its context-sensitive menu.

Parameters:

  | menu | The popup menu.

virtual void Xfc::Gtk::TextViewSignals::on_set_scroll_adjustments | ( | Adjustment * | hadjustment,
|  | Adjustment * | vadjustment
| ) | `[virtual]`

Called when a text view is added to a scrolling aware parent.

Parameters:

  | hadjustment | The horizontal adjustment.
  | vadjustment | The vertical adjustment.

The documentation for this class was generated from the following file:

- textviewsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3